1 Reply Latest reply: Jun 15, 2013 9:01 AM by Klaus1
stevemeans1 Level 1 (0 points)

im trying to install version 10.6.4 onto my mac which is version 10.5.8 and keep getting error message saying that i cannot install this version on my computer?!

why is this... i done it before and it was succesfull now nothing... help!!!